{% include "snippets/base.html" %}
<div class="research">
	<h2> Follow other users</h2>
	<div class="follow_research">

		<form method="post">
			{% csrf_token %}
		    {{ form_name }}
		       <input type="submit" value="Research">
		</form>
	</div>

</div>
	{% if result_research %}
		{% for result in result_research %}
			<div>
				{{ result }}  <button> <a href="{% url 'follow_user' result.id%}">Follow</a> </button>
			</div>
		{% endfor %}
	{% endif %}

</br>

<div class="subscriptions">
	<h4> My subscriptions </h4>
	<div>
		{% for follow in user_following %}
			<div class="follow_list">
				<span>{{ follow }}</span>  <button> <a href="{% url 'unfollow_user' follow.id%}">Unfollow</a> </button>
			</div>
		{% endfor %}

	</div>
</div>
</br>

<div class="followers">
	<h4>My followers </h4>
	<div>
		<div class="follow_list">
			{% for f in followed %}
			 <span>{{  f.user }}</span>
			{% endfor %}
		</div>
	</div>
</div>